MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023178Community[OCCT] OCCT:Modeling Algorithmspublic2012-05-27 17:072018-03-15 15:27
ReporterRoman Lygin 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0023178: Intersection of cylinders fails to produce results
DescriptionSee DRAW reproducer
Steps To ReproduceTest case has already been created and pushed to the branch.

restore surface1_draw s1
restore surface2_draw s2
intersect r s1 s2
#no result
TagsNo tags attached.
Test case numberbugs modalg_6 bug23178
Attached Fileszip file icon archive.zip (409 bytes) 2012-05-27 17:07

- Relationships
related to 0026894closedapn Open CASCADE Intersection algorithm between two infinite cylinders is hanging 
related to 0028279newmsv Community Greater oscillations and higher degree of resulting B-Spline in cylinder-cylinder intersections in 7.1.0 
related to 0029582closedbugmaster Open CASCADE Coding Rules, Bnd_Range - inconsistent methods pair GetMin()/GetMAX() 

-  Notes
(0043666)
git (administrator)
2015-07-29 11:34

Branch CR23178 has been created by nbv.

SHA-1: 4fbb6014df4d05dea26340300f3a7ed46ae04e0f


Detailed log of new commits:

Author: nbv
Date: Wed Jul 29 09:44:35 2015 +0300

    0023178: Intersection of cylinders fails to produce results
    
    Unification of trimmed and not-trimmed cylinders processing (GeomGeomPerfomTrimSurf() method has been removed).
(0048333)
nbv (developer)
2015-11-18 11:19

Please pay attention to the bug 0026894 while fixing.
(0052713)
git (administrator)
2016-04-14 14:05

Branch CR23178_1 has been created by nbv.

SHA-1: 8134ec1c0aef80763145ec8d9a0576936a44ee5d


Detailed log of new commits:

Author: nbv
Date: Mon Apr 11 15:35:39 2016 +0300

    0023178: Intersection of cylinders fails to produce results
    
    1. Unification of trimmed and not-trimmed cylinders processing (IntPatch_Intersection::GeomGeomPerfomTrimSurf() method has been removed).
    2. New methods CommonBox(...), DeltaX() and DeltaY() have been added to Bnd_Box2d class.
(0053270)
git (administrator)
2016-04-18 16:03

Branch CR23178_2 has been created by nbv.

SHA-1: 4243096dc3b99e30c6142737e8520eef2285fdb5


Detailed log of new commits:

Author: nbv
Date: Mon Apr 18 09:50:29 2016 +0300

    0023178: Intersection of cylinders fails to produce results
    
    1. Unification of trimmed and not-trimmed cylinders processing (IntPatch_Intersection::GeomGeomPerfomTrimSurf() method has been removed).
    2. New methods CommonBox(...), DeltaX() and DeltaY() have been added to Bnd_Box2d class.
    3. Now, WLine purging is forbidden for Geom-Geom-Intersection.
    
    Creation of test case for this issue.

Author: nbv
Date: Mon Apr 18 09:48:32 2016 +0300

    0027310: Huge tolerance obtained in the result of intersection of two cylindrical faces
    
    Sometimes start point of the intersection line is in the surface boundary strictly. I.e. the parameter of this point in the surface can be equal to both 0 or 2*PI equivalently. It is important to chose correct parameter value.
    
    The algorithm of prediction is based on monotonicity property (see CylCylMonotonicity(...) function in IntPatch_ImpImpIntersection_4.gxx). Now, this function is used wrongly. The fix improves this situation.
    
    Small optimization in the code.
    Creation of test cases .

Author: nbv
Date: Tue Mar 29 16:38:53 2016 +0300

    0027302: Invalid curves number in intersection result
    
    1. In frame of the fix for #27282 issue, we have obtained several prolonged curves, which have common point(s). Fix for this issue joins these curves if it is possible.
    
    2. ElCLib::InPeriod(...) method has been improved. Now it has become more faster (in general cases) and more reliable (in frame of FLT_OVERFLOW and DIVISION_BY_ZERO cases processing).
    
    Creation of test case for issue #27302
    Test case tests\bugs\modalg_6\bug27282_2 has been adjusted in accordance with its new behavior.
(0053271)
nbv (developer)
2016-04-18 16:10

Dear Mikhail,

Please review CR23178_2 branch.

Please pay attention to the fact that this fix depends on the fixes for issues #27302 and 0027310 (they are highlighted in separated commits). Therefore, there is a point in processing this issue after integration of above enumerated fixes only.
(0053284)
git (administrator)
2016-04-19 11:44

Branch CR23178_2 has been updated forcibly by nbv.

SHA-1: e5ff85dbe375578262b5463d898bce612416a78d
(0053569)
git (administrator)
2016-04-26 09:49

Branch CR23178_2 has been updated forcibly by nbv.

SHA-1: 07d7541ced03a82d5bd02d05dc7b7119e300ba50
(0053570)
nbv (developer)
2016-04-26 09:50

Branch CR23178_2 has been rebased on the current MASTER
(0053701)
msv (developer)
2016-04-28 18:06

Remarks

tests\bugs\modalg_6\bug23178
- instead of lines 16-21 you can write:
if [info exists result] {
  renamevar result result_1
}
The same can be done to simplify the code of lines 26-28.
But also you should ensure there is no result before start, for that:
del result*

- As for cycle 'while', it is better and more clear to use such constructions:
foreach c [directory result*] {
...
}
set NbCurv [llength [directory result*]]

And in such way there is no need to rename result to result_1.


src\Bnd\Bnd_Box2d.cxx

- The method CommonBox must take into account Flags (infinity dimensions).

src\IntPatch\IntPatch_ImpImpIntersection.hxx

- Please make wrapping of long lines in the altered code.


To be continued.
(0053724)
msv (developer)
2016-04-29 11:52

src\IntPatch\IntPatch_ImpImpIntersection_4.gxx

- lines 451-454 are not needed, as theInter has already been checked in the calling procedure.

- What is the use of commented lines 2437-2444? Can we remove them?

- Consider using 1d bounding box instead of 2d, as you use only 1 dimension in it.

src\IntPatch\IntPatch_Intersection.cxx

- replace the code in line 1422:
        else if(line->ArcType() == IntPatch_Walking)
        {
          Handle(IntPatch_WLine)::DownCast(line)->EnablePurging(Standard_False);
          slin.Append(line);
        }
        else
        {
          slin.Append(line);
        }
with:
        else
        {
          if(line->ArcType() == IntPatch_Walking)
              Handle(IntPatch_WLine)::DownCast(line)->EnablePurging(Standard_False);
          slin.Append(line);
        }
(0054786)
git (administrator)
2016-06-08 13:10

Branch CR23178_3 has been created by nbv.

SHA-1: 8851ecdc107dddde2fdba37f8dd0f2c737a327ed


Detailed log of new commits:

Author: nbv
Date: Tue Apr 26 09:47:52 2016 +0300

    0023178: Intersection of cylinders fails to produce results
    
    1. Unification of trimmed and not-trimmed cylinders processing (IntPatch_Intersection::GeomGeomPerfomTrimSurf() method has been removed).
    2. Interface of IntPatch_ImpImpIntersection::Perform(...) method has been changed.
    2. New methods CommonBox(...), DeltaX() and DeltaY() have been added to Bnd_Box2d class.
    3. Now, WLine purging is forbidden for Geom-Geom-Intersection.
    4. Bnd_Range class has been created. See Bnd_Range.hxx for detail information.
    5. Methods Bnd_Box2d::DeltaX() and Bnd_Box2d::DeltaY() have been created. See Bnd_Box2d.hxx file for future information.
    
    Creation of test case for this issue.
(0054787)
nbv (developer)
2016-06-08 13:15

Dear Mikhail,

Please review CR23178_3 branch.

"src\IntPatch\IntPatch_ImpImpIntersection_4.gxx
- lines 451-454 are not needed, as theInter has already been checked in the calling procedure."

If theInter is NOT DONE then we will not be able to use its TypeInter() and NbSolutions() methods without exception. Therefore, I have ignored this remark.

Other remarks have been applied.
(0054812)
msv (developer)
2016-06-08 16:30

In commit message:
- Incorrect numeration of items.
- There is no new method CommonBox in Bnd_Box2d, but it is said.
- Twice information about adding of DeltaX() and DeltaY().

src\Bnd\Bnd_Range.hxx
- 22: change description to:
This class describes a range in 1D space restricted by two real values.
A range can be void indicating there is no point included in the range.
- Remove myIsVoid flag, instead consider it void if myFirst > myLast. Init with [0, -1].
- Rename the method CommonRange to Common.

src/IntPatch/IntPatch_ImpImpIntersection_4.gxx
- lines 451-454 are not needed, as theInter has already been checked in the calling procedure.

src\Bnd\Bnd_Box2d.hxx
src\Bnd\Bnd_Box2d.cxx
- The changes in these files seem to be not relevant to this patch any more. Are they really necessary?
(0054821)
git (administrator)
2016-06-08 18:00

Branch CR23178_4 has been created by nbv.

SHA-1: 0f393878bfb660abb0245243acd2a4a75b669a8b


Detailed log of new commits:

Author: nbv
Date: Tue Apr 26 09:47:52 2016 +0300

    0023178: Intersection of cylinders fails to produce results
    
    1. Unification of trimmed and not-trimmed cylinders processing (IntPatch_Intersection::GeomGeomPerfomTrimSurf() method has been removed).
    2. Interface of IntPatch_ImpImpIntersection::Perform(...) method has been changed.
    3. Now, WLine purging is forbidden for Geom-Geom-Intersection.
    4. Bnd_Range class has been created. See Bnd_Range.hxx for detail information.
    
    Creation of test case for this issue.
(0054822)
nbv (developer)
2016-06-08 18:01

Dear Mikhail,

Please review CR23178_4 branch.
(0054826)
msv (developer)
2016-06-08 19:23

src/Bnd/Bnd_Range.hxx
- Avoid telling details of implementation in the class description. Do not mention names of private fields. In addition, there is contradiction of logic between description and behavior of constructor, because in description you tell that myLast < myFirst is normal condition, but constructor will raise exception. So, I insist on description that I proposed in my previous post.
- 50, 63: change to call to IsVoid(), to allow only single source of truth.
(0054829)
git (administrator)
2016-06-09 09:56

Branch CR23178_5 has been created by nbv.

SHA-1: 63d98c2a6fb0f229cc783919111cb5fe463fe5d1


Detailed log of new commits:

Author: nbv
Date: Tue Apr 26 09:47:52 2016 +0300

    0023178: Intersection of cylinders fails to produce results
    
    1. Unification of trimmed and not-trimmed cylinders processing (IntPatch_Intersection::GeomGeomPerfomTrimSurf() method has been removed).
    2. Interface of IntPatch_ImpImpIntersection::Perform(...) method has been changed.
    3. Now, WLine purging is forbidden for Geom-Geom-Intersection.
    4. Bnd_Range class has been created. See Bnd_Range.hxx for detail information.
    
    Creation of test case for this issue.
(0054830)
nbv (developer)
2016-06-09 09:57

Dear Mikhail,

Please review CR23178_5 branch.
(0054833)
git (administrator)
2016-06-09 10:55

Branch CR23178_5 has been updated forcibly by nbv.

SHA-1: a1c4ef041b6ab2edb22a9c683d704f40d90e9fde
(0054834)
git (administrator)
2016-06-09 11:00

Branch CR23178_5 has been updated by nbv.

SHA-1: 29c9817febe5ccab4d326f94a16c785ec5fae0c3


Detailed log of new commits:

Author: nbv
Date: Thu Jun 9 11:00:40 2016 +0300

    Small code correction.

(0054836)
msv (developer)
2016-06-09 11:03

Reviewed.
(0054846)
git (administrator)
2016-06-09 15:36

Branch CR23178_5 has been updated forcibly by mkv.

SHA-1: 26c565d369a4b764f8aee20d11c51b5fa8d0a961
(0054902)
mkv (tester)
2016-06-10 14:41

Dear BugMaster,
Branch CR23178_5 was rebased on IR-2016-06-09 of occt git-repository.
SHA-1: 26c565d369a4b764f8aee20d11c51b5fa8d0a961
(0054903)
mkv (tester)
2016-06-10 14:42

Dear BugMaster,
Branch CR23178_5 from occt git-repository (and IR-2016-06-09 from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 26c565d369a4b764f8aee20d11c51b5fa8d0a961

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 72 (72 on master)
Windows: 4 (4 on master)
MacOS : 1125

Regressions/Differences/Improvements:
http://occt-tests/CR23178-5-master-Products/Debian70-64/summary.html [^]
http://occt-tests/CR23178-5-master-Products/Windows-64-VC10/summary.html [^]
Failed:
  parasolid doc_1 A1
  parasolid doc_3 A8, A9, B3, B7, C3, D5, E3, E6, E7

Testing cases:
http://occt-tests/CR23178-5-master-OCCT/Debian70-64/bugs/modalg_6/bug23178.html [^]
http://occt-tests/CR23178-5-master-OCCT/Windows-64-VC10/bugs/modalg_6/bug23178.html [^]
bugs modalg_6 bug23178: OK

Testing on Linux:
occt component :
Total MEMORY difference: 89024352 / 88294481 [+0.83%]
Total CPU difference: 19477.71 / 19440.449999999968 [+0.19%]
products component :
Total MEMORY difference: 27368485 / 27406410 [-0.14%]
Total CPU difference: 5016.03999999999 / 5020.71999999999 [-0.09%]

Testing on Windows:
occt component :
Total MEMORY difference: 55970523 / 55983280 [-0.02%]
Total CPU difference: 18241.602532598863 / 19056.302154998906 [-4.28%]
products component :
Total MEMORY difference: 18464545 / 18425743 [+0.21%]
Total CPU difference: 4787.4834887999505 / 4853.690313199948 [-1.36%]

There are following differences in images found by testdiff.

http://occt-tests/CR23178-5-master-OCCT/Debian70-64/diff-Debian70-64.html [^]
http://occt-tests/CR23178-5-master-OCCT/Windows-64-VC10/diff-Windows-64-VC10.html [^]
IMAGE boolean bopfuse_simple ZF1: ZF1.png differs
IMAGE boolean bopfuse_simple ZE7: ZE7.png differs
IMAGE boolean bopcut_simple ZF1: ZF1.png differs
IMAGE boolean bopcut_simple ZE7: ZE7.png differs
IMAGE bugs modalg_5 bug25742_2: bug25742_2.png differs

http://occt-tests/CR23178-5-master-Products/Debian70-64/diff-Debian70-64.html [^]
http://occt-tests/CR23178-5-master-Products/Windows-64-VC10/diff-Windows-64-VC10.html [^]
IMAGE parasolid read bug24401_3: bug24401_3.png differs
(0054904)
mkv (tester)
2016-06-10 14:42

Dear nbv,
Branch CR23178_5 has been rejected due to:
- regressions/differences/improvements
- differences in images
(0055316)
git (administrator)
2016-06-21 17:47

Branch CR23178_6 has been created by nbv.

SHA-1: b7bae4cdee6d7af42a91508827d5f1af3d6b9e84


Detailed log of new commits:

Author: nbv
Date: Tue Apr 26 09:47:52 2016 +0300

    0023178: Intersection of cylinders fails to produce results
    
    1. Unification of trimmed and not-trimmed cylinders processing (IntPatch_Intersection::GeomGeomPerfomTrimSurf() method has been removed).
    2. Interface of IntPatch_ImpImpIntersection::Perform(...) method has been changed.
    3. Now, WLine purging is forbidden for Geom-Geom-Intersection.
    4. Bnd_Range class has been created. See Bnd_Range.hxx for detail information.
    5. Algorithm of AddBoundaryPoint function has been improved in order to obtain intersection points in both boundaries (VFirst and VLast of every surface).
    
    Creation of test case for this issue.
(0055321)
nbv (developer)
2016-06-22 09:17

Dear Mikhail,

Please review branches CR23178_6 (for OCCT) and CR23178_prod (for OCCT-products).

Please pay attention to the fact that there is difference in image of parasolid read bug24401_3 test case, as before (see 0023178:0054903). I think, it is not regression in intersection algorithm - the algorithm works better than on the MASTER (see issue #27627).
(0055385)
msv (developer)
2016-06-23 16:14

dox\dev_guides\upgrade\upgrade.md
- Upgrade guide is updated when there is risk for porting of old code. When you add new function there is no need to update it. So, please revert. To document a new feature, it is needed to use general guides.

tests\cr\standard\E1
- Please use regexp to avoid multiplication of TODOs.

tests\parasolid\doc_3\E6
- Please try to understand a difference on the subject of updating reference instead of adding TODO. If TODO is necessary then use a real bug number instead of a fake.
(0055440)
nbv (developer)
2016-06-24 13:32
edited on: 2016-06-24 14:57

Small conclusion about difference in image of parasolid read bug24401_3 test.

1. Source shape (if it is read without fixshape) looks like the result of the fix for issue 0023178.

2. There is long edge on the MASTER, too. However, it is not displayed by the some reason (see 0027627:0055380). On the fix, the long curve is displayed correctly. Therefore, we have current difference in image. I.e. it is NOT regression. The fix works properly on parasolid read bug24401_3 test case.

3. While debugging this case, the problem described in issue 0027637 has been observed. This problem is reproduced on section curves obtained on both MASTER and current FIX.

As result, new picture obtained by the fix is not regression and should be applied as new behavior.

(0055448)
nbv (developer)
2016-06-24 15:55

Remarks about tests\parasolid\doc_3\E6.

Try the following script:

Draw[]> test parasolid doc_3 E6
Draw[]> nexplode res_1 f
Draw[]> don res_1_61 res_1_74
Draw[]> explode res_1_61 v
# On MASTER: 4 vertices
# On FIX: 5 vertices

However, new vertex on the fix must be shared with existing
Draw[]> explode res_1_61 v
Draw[]> distmini dd res_1_61_3 res_1_61_4
# 1.47395975854979e-006

Draw[]> tolerance res_1_61_3
1.9160689668173712e-006

Draw[]> tolerance res_1_61_4
# 1.0000000000000001e-005

1.9160689668173712e-006 + 1.0000000000000001e-005 > 1.47395975854979e-006. Why are these vertices not shared on the FIX and shared on the MASTER?

We have analogical situation in res_1_74 face.

I.e. it is not the problem initiated by the correction in intersection algorithm. Therefore, we should apply new behavior.
(0055449)
git (administrator)
2016-06-24 16:07

Branch CR23178_7 has been created by nbv.

SHA-1: ff42864ddd864fb6a79bf46b416ef6a7d69f2096


Detailed log of new commits:

Author: nbv
Date: Tue Apr 26 09:47:52 2016 +0300

    0023178: Intersection of cylinders fails to produce results
    
    1. Unification of trimmed and not-trimmed cylinders processing (IntPatch_Intersection::GeomGeomPerfomTrimSurf() method has been removed).
    2. Interface of IntPatch_ImpImpIntersection::Perform(...) method has been changed.
    3. Now, WLine purging is forbidden for Geom-Geom-Intersection.
    4. Bnd_Range class has been created. See Bnd_Range.hxx for detail information.
    5. Algorithm of AddBoundaryPoint function has been improved in order to obtain intersection points in both boundaries (VFirst and VLast of every surface).
    
    Creation of test case for this issue.
(0055450)
nbv (developer)
2016-06-24 16:10

Dear Mikhail,

Please review the current state of CR23178_7 branch (for OCCT) and CR23178_prod branch (for OCCT-products)
(0055451)
msv (developer)
2016-06-24 16:23

Reviewed.
(0055487)
mkv (tester)
2016-06-27 12:55

Dear BugMaster,
Branch CR23178_7 from occt git-repository (and CR23178_prod from products git-repository) was compiled on Linux, MacOS and Windows platforms on Release mode.
SHA-1: ff42864ddd864fb6a79bf46b416ef6a7d69f2096
SHA-1: 233ce053e9706a136c3cdb0883ce65c3393e7ee3

There are following compilation errors:
Linux:
http://jenkins-test-07.nnov.opencascade.com:8080/view/CR23178_7-CR23178_prod/job/CR23178_7-CR23178_prod-OCCT-Debian70-64-opt-compile/1/parsed_console/ [^]

/usr/include/c++/4.7/bits/stl_algo.h:2268:4: error: no match for 'operator<' in '* __first < __pivot'

.....

/usr/include/c++/4.7/bits/stl_algo.h:2271:4: error: passing 'const AddBoundaryPoint(const IntSurf_Quadric&, const IntSurf_Quadric&, const opencascade::handle<IntPatch_WLine>&, const stCoeffsValue&, const Bnd_Box2d&, const Bnd_Box2d&, Standard_Real, Standard_Real, Standard_Real, Standard_Real, Standard_Real, Standard_Real, Standard_Real, Standard_Real, Standard_Real, Standard_Integer, Standard_Boolean, Standard_Boolean, Standard_Boolean&, Standard_Boolean&)::StPInfo' as 'this' argument of 'bool AddBoundaryPoint(const IntSurf_Quadric&, const IntSurf_Quadric&, const opencascade::handle<IntPatch_WLine>&, const stCoeffsValue&, const Bnd_Box2d&, const Bnd_Box2d&, Standard_Real, Standard_Real, Standard_Real, Standard_Real, Standard_Real, Standard_Real, Standard_Real, Standard_Real, Standard_Real, Standard_Integer, Standard_Boolean, Standard_Boolean, Standard_Boolean&, Standard_Boolean&)::StPInfo::operator<(AddBoundaryPoint(const IntSurf_Quadric&, const IntSurf_Quadric&, const opencascade::handle<IntPatch_WLine>&, const stCoeffsValue&, const Bnd_Box2d&, const Bnd_Box2d&, Standard_Real, Standard_Real, Standard_Real, Standard_Real, Standard_Real, Standard_Real, Standard_Real, Standard_Real, Standard_Real, Standard_Integer, Standard_Boolean, Standard_Boolean, Standard_Boolean&, Standard_Boolean&)::StPInfo&)' discards qualifiers [-fpermissive]

MacOS:
http://jenkins-test-07.nnov.opencascade.com:8080/view/CR23178_7-CR23178_prod/job/CR23178_7-CR23178_prod-OCCT-MacOS-opt-compile/1/parsed_console/ [^]

/Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/../include/c++/v1/algorithm:702:71: error: invalid operands to binary expression ('const StPInfo' and 'const StPInfo')
...
/Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/../include/c++/v1/algorithm:3649:20: error: no matching function for call to '__sort3'
..
/Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/../include/c++/v1/algorithm:3675:20: error: no matching function for call to '__sort4'
...
/Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/../include/c++/v1/algorithm:3779:9: error: no matching function for call to '__sort5'
(0055488)
mkv (tester)
2016-06-27 12:56

Dear nbv,
Branch CR23178_7 has been rejected due to:
- compilation errors
(0055491)
git (administrator)
2016-06-27 13:27

Branch CR23178_7 has been updated by nbv.

SHA-1: 5c978d9ca513c5471a600cb2708390b5a0e1f8cc


Detailed log of new commits:

Author: nbv
Date: Mon Jun 27 13:27:04 2016 +0300

    Eliminate compiler error(s).

(0055492)
nbv (developer)
2016-06-27 13:28

Dear Bugmaster,

Please retest CR23178_7 branch.
(0055496)
mkv (tester)
2016-06-27 15:41

Dear BugMaster,
Branch CR23178_7 from occt git-repository (and CR23178_prod from products git-repository) was compiled on Linux, MacOS and Windows platforms on Release mode.
SHA-1: 5c978d9ca513c5471a600cb2708390b5a0e1f8cc
SHA-1: 233ce053e9706a136c3cdb0883ce65c3393e7ee3

There are following compilation errors:
Linux:
http://jenkins-test-07.nnov.opencascade.com:8080/view/CR23178_7-CR23178_prod/job/CR23178_7-CR23178_prod-OCCT-Debian70-64-opt-compile/1/parsed_console/ [^]
/usr/include/c++/4.7/bits/stl_algo.h:2268:4: error: no match for 'operator<' in '* __first < __pivot'

MacOS:
http://jenkins-test-07.nnov.opencascade.com:8080/view/CR23178_7-CR23178_prod/job/CR23178_7-CR23178_prod-OCCT-MacOS-opt-compile/1/parsed_console/ [^]
/Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/../include/c++/v1/algorithm:702:71: error: invalid operands to binary expression ('const StPInfo' and 'const StPInfo')
...
/Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/../include/c++/v1/algorithm:3649:20: error: no matching function for call to '__sort3'
...
/Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/../include/c++/v1/algorithm:3675:20: error: no matching function for call to '__sort4'
...
/Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/../include/c++/v1/algorithm:3779:9: error: no matching function for call to '__sort5'
(0055497)
mkv (tester)
2016-06-27 15:42

Dear nbv,
Branch CR23178_7 has been rejected due to:
- compilation errors
(0055504)
git (administrator)
2016-06-27 17:04

Branch CR23178_8 has been created by nbv.

SHA-1: 5f21c44cba3fb11411ef82e271939530ddaf1e5a


Detailed log of new commits:

Author: nbv
Date: Tue Apr 26 09:47:52 2016 +0300

    0023178: Intersection of cylinders fails to produce results
    
    1. Unification of trimmed and not-trimmed cylinders processing (IntPatch_Intersection::GeomGeomPerfomTrimSurf() method has been removed).
    2. Interface of IntPatch_ImpImpIntersection::Perform(...) method has been changed.
    3. Now, WLine purging is forbidden for Geom-Geom-Intersection.
    4. Bnd_Range class has been created. See Bnd_Range.hxx for detail information.
    5. Algorithm of AddBoundaryPoint function has been improved in order to obtain intersection points in both boundaries (VFirst and VLast of every surface).
    
    Creation of test case for this issue.
(0055505)
nbv (developer)
2016-06-27 17:06

Dear Mikhail,

Please review CR23178_8 branch.
(0055506)
msv (developer)
2016-06-27 17:11

Reviewed.
(0055513)
mkv (tester)
2016-06-27 19:53

Dear BugMaster,
Branch CR23178_8 from occt git-repository (and CR23178_prod from products git-repository) was compiled on Linux, MacOS and Windows platforms on Release mode.
SHA-1: 5f21c44cba3fb11411ef82e271939530ddaf1e5a
SHA-1: 233ce053e9706a136c3cdb0883ce65c3393e7ee3

There are following compilation errors:
Linux:
http://jenkins-test-07.nnov.opencascade.com:8080/view/CR23178_8-CR23178_prod/job/CR23178_8-CR23178_prod-OCCT-Debian70-64-opt-compile/1/parsed_console/ [^]
/usr/include/c++/4.7/bits/stl_algo.h:2268:4: error: no match for 'operator<' in '* __first < __pivot'

MacOS:
http://jenkins-test-07.nnov.opencascade.com:8080/view/CR23178_8-CR23178_prod/job/CR23178_8-CR23178_prod-OCCT-MacOS-opt-compile/1/parsed_console/ [^]
...
/Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/../include/c++/v1/algorithm:702:71: error: invalid operands to binary expression ('const WorkWithBoundaries::StPInfo' and 'const WorkWithBoundaries::StPInfo')
...
/Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/../include/c++/v1/algorithm:3649:20: error: no matching function for call to '__sort3'
...
/Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/../include/c++/v1/algorithm:3675:20: error: no matching function for call to '__sort4'
...
/Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/../include/c++/v1/algorithm:3779:9: error: no matching function for call to '__sort5'
(0055514)
mkv (tester)
2016-06-27 19:53

Dear nbv,
Branch CR23178_8 has been rejected due to:
- compilation errors
(0055533)
git (administrator)
2016-06-28 12:24

Branch CR23178_8 has been updated forcibly by nbv.

SHA-1: 2e4d963fc61bbc8f85b9f88617f14ca9532a2d77
(0055534)
nbv (developer)
2016-06-28 12:26

Dear BugMaster,

Please retest CR23178_8 and CR23178_prod.
(0055554)
mkv (tester)
2016-06-28 18:17

Dear BugMaster,
Branch CR23178_8 from occt git-repository (and CR23178_prod from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 2e4d963fc61bbc8f85b9f88617f14ca9532a2d77
SHA-1: 233ce053e9706a136c3cdb0883ce65c3393e7ee3

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 64 (64 on master)
Windows: 0 (0 on master)
MacOS : 1128

Regressions/Differences/Improvements:
http://occt-tests/CR23178_8-CR23178_prod-Products/Debian70-64/parasolid/doc_3/C3.html [^]
parasolid doc_3 C3: FAILED

Testing cases:
http://occt-tests/CR23178_8-CR23178_prod-OCCT/Debian70-64/bugs/modalg_6/bug23178.html [^]
http://occt-tests/CR23178_8-CR23178_prod-OCCT/Windows-64-VC10/bugs/modalg_6/bug23178.html [^]
bugs modalg_6 bug23178: OK

Testing on Linux:
occt component :
Total MEMORY difference: 88780288 / 88684531 [+0.11%]
Total CPU difference: 19402.969999999994 / 19559.74999999992 [-0.80%]
products component :
Total MEMORY difference: 27389991 / 27277982 [+0.41%]
Total CPU difference: 5089.919999999989 / 5086.06999999998 [+0.08%]

Testing on Windows:
occt component :
Total MEMORY difference: 55910239 / 55894972 [+0.03%]
Total CPU difference: 18310.258572698804 / 17842.021571198675 [+2.62%]
products component :
Total MEMORY difference: 18414299 / 18371553 [+0.23%]
Total CPU difference: 4829.463357899939 / 4729.2795156999355 [+2.12%]

There are following differences in images found by testdiff.
http://occt-tests/CR23178_8-CR23178_prod-OCCT/Debian70-64/diff-Debian70-64.html [^]
http://occt-tests/CR23178_8-CR23178_prod-OCCT/Windows-64-VC10/diff-Windows-64-VC10.html [^]
IMAGE boolean bopfuse_simple ZF1: ZF1.png differs
IMAGE boolean bopfuse_simple ZE7: ZE7.png differs
IMAGE boolean bopcut_simple ZF1: ZF1.png differs
IMAGE boolean bopcut_simple ZE7: ZE7.png differs
(0055555)
mkv (tester)
2016-06-28 18:17

Dear nbv,
Branch CR23178_8 has been rejected due to:
- regressions/differences/improvements
- differences in images
(0055656)
git (administrator)
2016-07-04 10:04

Branch CR23178_9 has been created by nbv.

SHA-1: 5f2a52d52c69cf3ce50db3f6ba5551b43fcb770a


Detailed log of new commits:

Author: nbv
Date: Tue Apr 26 09:47:52 2016 +0300

    0023178: Intersection of cylinders fails to produce results
    
    1. Unification of trimmed and not-trimmed cylinders processing (IntPatch_Intersection::GeomGeomPerfomTrimSurf() method has been removed).
    2. Interface of IntPatch_ImpImpIntersection::Perform(...) method has been changed.
    3. Now, WLine purging is forbidden for Geom-Geom-Intersection.
    4. Bnd_Range class has been created. See Bnd_Range.hxx for detail information.
    5. Algorithm of AddBoundaryPoint function has been improved in order to obtain intersection points in both boundaries (VFirst and VLast of every surface).
    
    Creation of test case for this issue.
    Adjusting test cases according to their new behavior.
(0055657)
git (administrator)
2016-07-04 10:28

Branch CR23178_9 has been updated forcibly by nbv.

SHA-1: f6d088d4df5d342925d251ed1d4f204819265a52
(0055658)
nbv (developer)
2016-07-04 10:30

Dear Mikhail,

Please review CR23178_9 and CR23178_prod branches.
(0055659)
git (administrator)
2016-07-04 11:38

Branch CR23178_9 has been updated by nbv.

SHA-1: c6b143c34157f89cb904f040ad158ff0aada6acd


Detailed log of new commits:

Author: nbv
Date: Mon Jul 4 11:39:02 2016 +0300

    Small correction

(0055660)
msv (developer)
2016-07-04 11:39

Reviewed.
(0055680)
mkv (tester)
2016-07-04 20:17

Dear BugMaster,
Branch CR23178_prod was rebased on current master of products git-repository.
SHA-1: 792a185211f75803b9d4872535625082f2e9a363
(0055681)
mkv (tester)
2016-07-04 20:17
edited on: 2016-07-12 17:45

Dear BugMaster,
Branch CR23178_9 from occt git-repository (and CR23178_prod from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: c6b143c34157f89cb904f040ad158ff0aada6acd
SHA-1: 792a185211f75803b9d4872535625082f2e9a363

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 64 (64 on master)
Windows: 0 (0 on master)
MacOS : 1154

Regressions/Differences/Improvements:
http://occt-tests/CR23178_9-CR23178_prod-Products/Debian70-64/parasolid/doc_3/B7.html [^]
parasolid doc_3 B7: FAILED

Testing cases:
http://occt-tests/CR23178_9-CR23178_prod-OCCT/Debian70-64/bugs/modalg_6/bug23178.html [^]
http://occt-tests/CR23178_9-CR23178_prod-OCCT/Windows-64-VC10/bugs/modalg_6/bug23178.html [^]
bugs modalg_6 bug23178: OK

Testing on Linux:
occt component :
Total MEMORY difference: 90375477 / 89894270 [+0.54%]
Total CPU difference: 19413.72000000003 / 19415.189999999995 [-0.01%]
products component :
Total MEMORY difference: 30014313 / 30002133 [+0.04%]
Total CPU difference: 5089.209999999972 / 5058.219999999973 [+0.61%]

Testing on Windows:
occt component :
Total MEMORY difference: 57399876 / 57398737 [+0.00%]
Total CPU difference: 18317.606219798927 / 17924.54610019893 [+2.19%]
products component :
Total MEMORY difference: 21173581 / 21131610 [+0.20%]
Total CPU difference: 4902.019422999954 / 4896.652988599946 [+0.11%]

There are following differences in images found by testdiff.
http://occt-tests/CR23178_9-CR23178_prod-OCCT/Debian70-64/diff-Debian70-64.html [^]
http://occt-tests/CR23178_9-CR23178_prod-OCCT/Windows-64-VC10/diff-Windows-64-VC10.html [^]
IMAGE boolean bopfuse_simple ZF1: ZF1.png differs
IMAGE boolean bopfuse_simple ZE7: ZE7.png differs
IMAGE boolean bopcut_simple ZF1: ZF1.png differs
IMAGE boolean bopcut_simple ZE7: ZE7.png differs

http://occt-tests/CR23178_9-CR23178_prod-Products/Debian70-64/diff-Debian70-64.html [^]
http://occt-tests/CR23178_9-CR23178_prod-Products/Windows-64-VC10/diff-Windows-64-VC10.html [^]
IMAGE parasolid read bug24401_3: bug24401_3.png differs

(0055682)
mkv (tester)
2016-07-04 20:17
edited on: 2016-07-12 17:46

Dear nbv,
Branch CR23178_9 has been rejected due to:
- regressions/differences/improvements
- differences in images

(0056005)
git (administrator)
2016-07-18 16:01

Branch CR23178_9 has been updated forcibly by nbv.

SHA-1: aec61fa63cd79c28c95b10a03666332ddf7aea1e
(0056174)
git (administrator)
2016-07-22 13:42

Branch CR23178_9 has been updated forcibly by nbv.

SHA-1: c2688a8d4adca9a2c2454f5f55f1859200b26159
(0056208)
nbv (developer)
2016-07-25 17:46

Dear Mikhail,

Branches CR23178_prod and CR23178_9 have been rebased on the current MASTER.

Code in CR23178_9 has not been changed.
Branch CR23178_prod has been updated according to the issue 0027710.

--------------------------------
Dear testers,

Image differences in

   IMAGE boolean bopfuse_simple ZF1: ZF1.png differs
   IMAGE boolean bopfuse_simple ZE7: ZE7.png differs
   IMAGE boolean bopcut_simple ZF1: ZF1.png differs
   IMAGE boolean bopcut_simple ZE7: ZE7.png differs

are valid (it is not regression/improvement). Simply, other isolines are used in the fix.

The difference in the picture

   parasolid read bug24401_3

has been explained in 0023178:0055440. This is no good. However, the problem is not initiated by my fix.
(0056242)
msv (developer)
2016-07-27 15:15

Reviewed. Changes in tests are OK.
(0056264)
apv (tester)
2016-07-28 13:03

Dear BugMaster,

Branches CR23178_9 from occt git-repository (and CR23178_prod from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: c2688a8d4adca9a2c2454f5f55f1859200b26159
SHA-1: 68f1446d18168f5cdaa3744380c4f08869e7dbd8

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 64
   Windows: 0
   MacOS: 1144

Regressions/Differences:
Not detected

Testing cases:
bugs modalg_6 bug23178 - OK
http://occt-tests/CR23178_9-CR23178_prod-OCCT/Debian70-64/bugs/modalg_6/bug23178.html [^]
http://occt-tests/CR23178_9-CR23178_prod-OCCT/Windows-64-VC10/bugs/modalg_6/bug23178.html [^]

CPU-problematic test cases have been detected:
bugs modalg_6 bug26310_4: 2.2152142 / 1.2948083 [+71.08%]
bugs modalg_6 bug26310_3: 2.184014 / 1.3572087 [+60.92%]

Testing on Linux:
Total MEMORY difference: 90283566 / 89490310 [+0.89%]
Total CPU difference: 19324.569999999978 / 19285.62000000005 [+0.20%]

Testing on Windows:
Total MEMORY difference: 57434247 / 57426021 [+0.01%]
Total CPU difference: 17936.308575598858 / 17961.98634019861 [-0.14%]
(0056265)
apv (tester)
2016-07-28 13:05

Dear Nikolay,

Branches CR23178_9 from occt git-repository and CR23178_prod from products git-repository have been rejected due to:
- CPU problems
(0056928)
git (administrator)
2016-08-22 16:38

Branch CR23178_10 has been created by nbv.

SHA-1: af122b551c1f7f567b365a5be4a34517004f30f1


Detailed log of new commits:

Author: nbv
Date: Tue Apr 26 09:47:52 2016 +0300

    0023178: Intersection of cylinders fails to produce results
    
    1. Unification of trimmed and not-trimmed cylinders processing (IntPatch_Intersection::GeomGeomPerfomTrimSurf() method has been removed).
    2. Interface of IntPatch_ImpImpIntersection::Perform(...) method has been changed.
    3. Now, WLine purging is forbidden for Geom-Geom-Intersection.
    4. Bnd_Range class has been created. See Bnd_Range.hxx for detail information.
    5. Algorithm of AddBoundaryPoint function has been improved in order to obtain intersection points in both boundaries (VFirst and VLast of every surface).
    
    Creation of test case for this issue.
    Adjusting test cases according to their new behavior.
(0056930)
nbv (developer)
2016-08-22 16:43

Dear Mikhail,

Please review CR23178_10 branch.

The main difference (in compare with previous branch) is that the input step in WorkWithBoundaries::BoundaryEstimation(...) method has been increased.
New CPU-result in previously problematic test case is:

  bugs modalg_6 bug26310_3: 1.5 / 1.4 [+7.14%]
  bugs modalg_6 bug26310_4: 1.48 / 1.32 [+12.12%]

I think, these differences are OK taking into account complex actions in every script (every script contains BOP-operation, checkshape algorithm, bopargcheck algorithm) and small differences between resulting shapes (after BOP-operation shapes res1 and res2 in the FIX are different from correspond shapes in the MASTER).

------
Dear testers,

Please test CR23178_10 with CR23178_prod branches as before.
(0056932)
git (administrator)
2016-08-22 16:57

Branch CR23178_10 has been updated forcibly by nbv.

SHA-1: 75b48d1493334482a139808ea18a0ddac82f1266
(0056933)
nbv (developer)
2016-08-22 16:59

Dear Mikhail and Dear testers,

Please follow the message 0023178:0056930.
(0056934)
msv (developer)
2016-08-22 17:06

Reviewed.
I think we can accept such CPU difference:
1.5 / 1.4 [+7.14%]
1.48 / 1.32 [+12.12%]
(0056935)
nbv (developer)
2016-08-22 17:35

Additional remark:

Explanation 0023178:0056208 is still actual.
(0056975)
mkv (tester)
2016-08-23 15:59

Dear BugMaster,
Branch CR23178_prod was rebased on current master of products git-repository.
SHA-1: e6e914b4e631350732def0b972cb1f762a61ba42
(0056977)
mkv (tester)
2016-08-23 15:59

Dear BugMaster,
Branch CR23178_10 from occt git-repository (and CR23178_prod from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 75b48d1493334482a139808ea18a0ddac82f1266
SHA-1: e6e914b4e631350732def0b972cb1f762a61ba42

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 64 (64 on master)
Windows: 0 (0 on master)
MacOS : 1141

Regressions/Differences/Improvements:
http://occt-tests/CR23178_10-CR23178_prod-OCCT/Debian70-64/boolean/bfuse_complex/N8.html [^]
boolean bfuse_complex N8: FAILED
http://occt-tests/CR23178_10-CR23178_prod-OCCT/Debian70-64/bugs/modalg_5/bug24981.html [^]
http://occt-tests/CR23178_10-CR23178_prod-OCCT/Windows-64-VC10/bugs/modalg_5/bug24981.html [^]
bugs modalg_5 bug24981: FAILED
http://occt-tests/CR23178_10-CR23178_prod-OCCT/Debian70-64/offset/compshape/A2.html [^]
http://occt-tests/CR23178_10-CR23178_prod-OCCT/Windows-64-VC10/offset/compshape/A2.html [^]
offset compshape A2: FAILED
http://occt-tests/CR23178_10-CR23178_prod-Products/Windows-64-VC10/summary.html [^]
Failed:
  parasolid doc_3 B7, E3

Testing cases:
http://occt-tests/CR23178_10-CR23178_prod-OCCT/Debian70-64/bugs/modalg_6/bug23178.html [^]
http://occt-tests/CR23178_10-CR23178_prod-OCCT/Windows-64-VC10/bugs/modalg_6/bug23178.html [^]
bugs modalg_6 bug23178: OK

Testing on Linux:
occt component :
Total MEMORY difference: 89907927 / 89456968 [+0.50%]
Total CPU difference: 19634.940000000257 / 19487.61000000011 [+0.76%]
products component :
Total MEMORY difference: 30051377 / 29964466 [+0.29%]
Total CPU difference: 5167.659999999974 / 5056.969999999979 [+2.19%]

Testing on Windows:
occt component :
http://occt-tests/CR23178_10-CR23178_prod-OCCT/Windows-64-VC10-cpu/diff-Windows-64-VC10-cpu.html [^]
CPU boolean bfuse_complex N8: 215.7025827 / 0.5772037 [+37270.27%]
CPU boolean bfuse_complex L6: 28.7197841 / 0.1716011 [+16636.36%]
CPU mesh standard_incmesh_parallel G3: 1.7940115 / 0.7332047 [+144.68%]
CPU blend simple O7: 65.6452208 / 0.1248008 [+52500.00%]
CPU blend simple O5: 109.9027045 / 0.1716011 [+63945.45%]
CPU bugs moddata_2 bug453_3: 21.7153392 / 0.7956051 [+2629.41%]

Total MEMORY difference: 57366447 / 57154226 [+0.37%]
Total CPU difference: 18599.422026298747 / 18077.239878998855 [+2.89%]
products component :
Total MEMORY difference: 21302405 / 21261546 [+0.19%]
Total CPU difference: 4970.831464099959 / 4849.696687599947 [+2.50%]

There are following differences in images found by testdiff.
http://occt-tests/CR23178_10-CR23178_prod-OCCT/Debian70-64/diff-Debian70-64.html [^]
http://occt-tests/CR23178_10-CR23178_prod-OCCT/Windows-64-VC10/diff-Windows-64-VC10-image.html [^]
IMAGE boolean bopfuse_simple ZE7: ZE7.png differs
IMAGE boolean bopfuse_simple ZE8: ZE8.png differs
IMAGE boolean bopcut_simple ZF1: ZF1.png differs
IMAGE boolean bopcut_simple ZE7: ZE7.png differs
IMAGE boolean bopcut_simple ZE8: ZE8.png differs
IMAGE bugs modalg_6 bug27766: bug27766.png differs

http://occt-tests/CR23178_10-CR23178_prod-Products/Debian70-64/diff-Debian70-64.html [^]
http://occt-tests/CR23178_10-CR23178_prod-Products/Windows-64-VC10/diff-Windows-64-VC10-image.html [^]
IMAGE parasolid read bug24401_3: bug24401_3.png differs
IMAGE bugs modalg_6 bug27310_2: bug27310_2.png differs
(0056978)
mkv (tester)
2016-08-23 16:00

Dear nbv,
Branch CR23178_10 has been rejected due to:
- regressions/differences/improvements
- CPU problems
- differences in images
(0057029)
git (administrator)
2016-08-24 14:54

Branch CR23178_10 has been updated by nbv.

SHA-1: c8f512d15e857d0d98b864bd2c67681f40c59ae8


Detailed log of new commits:

Author: nbv
Date: Tue Aug 23 17:29:05 2016 +0300

    Earlier, call of WorkWithBoundaries::BoundaryEstimation method does not take into account the domain. As result, some parameters was computed wrong. Now, this error has been eliminated.

(0057030)
nbv (developer)
2016-08-24 15:00

Dear Mikhail,

Please review the current state of CR23178_10 branch.

Remarks 0023178:0056930 and 0023178:0056208 are still actual.

Dear testers,

Please do not forget about CR23178_prod branch (for OCCT-products). You should rebase it on the current MASTER before testing.
(0057054)
msv (developer)
2016-08-25 09:36

Reviewed.
(0057076)
git (administrator)
2016-08-25 17:27

Branch CR23178_10 has been updated forcibly by mkv.

SHA-1: 2cae878869affbcc87824651b8e59a2da46a4737
(0057097)
mkv (tester)
2016-08-26 15:18

Dear BugMaster,
Branch CR23178_10 was rebased on IR-2016-08-25 of occt git-repository.
SHA-1: 2cae878869affbcc87824651b8e59a2da46a4737
Branch CR23178_prod was rebased on IR-2016-08-25 of products git-repository.
SHA-1: 644a4dfa9a1183744d14d308eb2364246c6abe85
(0057098)
mkv (tester)
2016-08-26 15:18

Dear BugMaster,
Branch CR23178_10 from occt git-repository (and CR23178_prod from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 2cae878869affbcc87824651b8e59a2da46a4737
SHA-1: 644a4dfa9a1183744d14d308eb2364246c6abe85

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 64 (64 on master)
Windows: 0 (0 on master)
MacOS : 1139

Regressions/Differences/Improvements:
http://occt-tests/CR23178_10-CR23178_prod-OCCT/Debian70-64/blend/simple/Q6.html [^]
http://occt-tests/CR23178_10-CR23178_prod-OCCT/Windows-64-VC10/blend/simple/Q6.html [^]
blend simple Q6: FAILED

http://occt-tests/CR23178_10-CR23178_prod-Products/Debian70-64/summary.html [^]
http://occt-tests/CR23178_10-CR23178_prod-Products/Windows-64-VC10/summary.html [^]
parasolid doc_3 B3, B7, C3, E3

Testing cases:
http://occt-tests/CR23178_10-CR23178_prod-OCCT/Debian70-64/bugs/modalg_6/bug23178.html [^]
http://occt-tests/CR23178_10-CR23178_prod-OCCT/Windows-64-VC10/bugs/modalg_6/bug23178.html [^]
bugs modalg_6 bug23178: OK

Testing on Linux:
occt component :
Total MEMORY difference: 89622534 / 89930658 [-0.34%]
Total CPU difference: 19300.28000000004 / 19309.339999999935 [-0.05%]
products component :
Total MEMORY difference: 29873150 / 29815019 [+0.19%]
Total CPU difference: 4965.299999999974 / 4919.029999999973 [+0.94%]

Testing on Windows:
occt component :
Total MEMORY difference: 57114667 / 57107084 [+0.01%]
Total CPU difference: 18160.794014598872 / 18053.73052829886 [+0.59%]
products component :
Total MEMORY difference: 21265933 / 21223623 [+0.20%]
Total CPU difference: 4914.327901899954 / 4857.465537399941 [+1.17%]

There are following differences in images found by testdiff.
http://occt-tests/CR23178_10-CR23178_prod-OCCT/Debian70-64/diff-Debian70-64.html [^]
http://occt-tests/CR23178_10-CR23178_prod-OCCT/Windows-64-VC10/diff-Windows-64-VC10-image.html [^]
IMAGE boolean bopfuse_simple ZF1: ZF1.png differs
IMAGE boolean bopfuse_simple ZE7: ZE7.png differs
IMAGE boolean bopfuse_simple ZE8: ZE8.png differs
IMAGE boolean bopcut_simple ZF1: ZF1.png differs
IMAGE boolean bopcut_simple ZE7: ZE7.png differs
IMAGE boolean bopcut_simple ZE8: ZE8.png differs
IMAGE bugs modalg_6 bug27766: bug27766.png differs
IMAGE bugs modalg_6 bug27310_2: bug27310_2.png differs

http://occt-tests/CR23178_10-CR23178_prod-Products/Debian70-64/diff-Debian70-64.html [^]
http://occt-tests/CR23178_10-CR23178_prod-Products/Windows-64-VC10/diff-Windows-64-VC10-image.html [^]
IMAGE parasolid read bug24401_3: bug24401_3.png differs
(0057099)
mkv (tester)
2016-08-26 15:19

Dear nbv,
Branch CR23178_10 has been rejected due to:
- regressions/differences/improvements
- differences in images
(0057101)
git (administrator)
2016-08-26 15:30

Branch CR23178_10 has been updated forcibly by nbv.

SHA-1: a2d8d7eeff95d50a47bc1c94b3b69919243223f5
(0057108)
nbv (developer)
2016-08-26 15:56

About differences in images.

   IMAGE boolean bopfuse_simple ZF1: ZF1.png differs
   IMAGE boolean bopfuse_simple ZE7: ZE7.png differs
   IMAGE boolean bopfuse_simple ZE8: ZE8.png differs
   IMAGE boolean bopcut_simple ZF1: ZF1.png differs
   IMAGE boolean bopcut_simple ZE7: ZE7.png differs
   IMAGE boolean bopcut_simple ZE8: ZE8.png differs
New pictures are OK. Differences are explained in 0023178:0056208.

   IMAGE bugs modalg_6 bug27766: bug27766.png differs
The difference is result of concatenation of curves (please see updated test script in the branch). New picture is OK.

   IMAGE bugs modalg_6 bug27310_2: bug27310_2.png differs
The picture is unstable. Please see 0027766:0056745.

   IMAGE parasolid read bug24401_3: bug24401_3.png differs
We shall apply this result (please see 0023178:0056208).
(0057109)
nbv (developer)
2016-08-26 15:58

Dear Mikhail (MSV),

1. Please review the current state of CR23178_10 and CR23178_prod branches.
2. Please confirm the message 0023178:0057108.
(0057113)
git (administrator)
2016-08-26 16:19

Branch CR23178_10 has been updated forcibly by nbv.

SHA-1: b5f6602e721335a36e1795d545dbfd5e9d1be89b
(0057212)
msv (developer)
2016-08-26 16:28

Please investigate the regressions in products and explain each difference, or continue fix to avoid regressions.
In blend simple Q6, just remove -eps option, and the result will be more stable.
(0057936)
git (administrator)
2016-09-20 10:19

Branch CR23178_11 has been created by nbv.

SHA-1: 2c71a608ef8a4332b8506d740a9f741ee99109ce


Detailed log of new commits:

Author: nbv
Date: Tue Apr 26 09:47:52 2016 +0300

    0023178: Intersection of cylinders fails to produce results
    
    1. Unification of trimmed and not-trimmed cylinders processing (IntPatch_Intersection::GeomGeomPerfomTrimSurf() method has been removed).
    2. Interface of IntPatch_ImpImpIntersection::Perform(...) method has been changed.
    3. Now, WLine purging is forbidden for Geom-Geom-Intersection.
    4. Bnd_Range class has been created. See Bnd_Range.hxx for detail information.
    5. Algorithm of AddBoundaryPoint function has been improved in order to obtain intersection points in both boundaries (VFirst and VLast of every surface).
    6. Earlier, method Geom2dConvert::ConcatG1(...) increased resulted B-spline degree (in case of not succession of previous iteration). Now increased value has been limited by Geom2d_BSplineCurve::MaxDegree() value (max degree = 25).
    7. Algorithm of B-spline closure definition has been changed in the methods Geom2dConvert::C0BSplineToC1BSplineCurve(...) and Geom2dConvert::C0BSplineToArrayOfC1BSplineCurve(...).
    
    Creation of test case for this issue.
    Adjusting test cases according to their new behavior.
(0057937)
nbv (developer)
2016-09-20 10:23

Dear Mikhail,

Please review CR23178_11 branch for OCCT.

----------------------
Dear testers,

Please test this branch and the MASTER of OCCT-products (regressions are expected but we need full picture of the situation).
(0058025)
git (administrator)
2016-09-22 15:54

Branch CR23178_12 has been created by nbv.

SHA-1: 56e70dd41fd34782139ba06f1b793ab30790cae8


Detailed log of new commits:

Author: nbv
Date: Tue Apr 26 09:47:52 2016 +0300

    0023178: Intersection of cylinders fails to produce results
    
    1. Unification of trimmed and not-trimmed cylinders processing (IntPatch_Intersection::GeomGeomPerfomTrimSurf() method has been removed).
    2. Interface of IntPatch_ImpImpIntersection::Perform(...) method has been changed.
    3. Now, WLine purging is forbidden for Geom-Geom-Intersection.
    4. Bnd_Range class has been created. See Bnd_Range.hxx for detail information.
    5. Algorithm of AddBoundaryPoint function has been improved in order to obtain intersection points in both boundaries (VFirst and VLast of every surface).
    6. Earlier, method Geom2dConvert::ConcatG1(...) increased resulted B-spline degree (in case of not succession of previous iteration). Now increased value has been limited by Geom2d_BSplineCurve::MaxDegree() value (max degree = 25).
    7. Algorithm of B-spline closure definition has been changed in the methods Geom2dConvert::C0BSplineToC1BSplineCurve(...) and Geom2dConvert::C0BSplineToArrayOfC1BSplineCurve(...).
    
    Creation of test case for this issue.
    Adjusting test cases according to their new behavior.
(0058026)
nbv (developer)
2016-09-22 15:55

Dear Mikhail,

Please review CR23178_12 branch for OCCT.

----------------------
Dear testers,

Please test this branch and the MASTER of OCCT-products (regressions are expected but we need full picture of the situation).
(0058033)
git (administrator)
2016-09-22 17:02

Branch CR23178_12 has been updated by nbv.

SHA-1: a48269d85e6c114732596b5d560bd5e7d3d253d9


Detailed log of new commits:

Author: nbv
Date: Thu Sep 22 16:53:05 2016 +0300

    Small correction in the code.

(0058034)
msv (developer)
2016-09-22 17:03

Reviewed.
(0058039)
git (administrator)
2016-09-22 17:55

Branch CR23178_12 has been updated forcibly by mkv.

SHA-1: 7ee70057248435745d41b70f6bd3e3abd0dac131
(0058072)
mkv (tester)
2016-09-23 14:58

Dear BugMaster,
Branch CR23178_12 was rebased on IR-2016-09-22 of occt git-repository.
(0058073)
mkv (tester)
2016-09-23 14:59

Dear BugMaster,
Branch CR23178_12 from occt git-repository (and IR-2016-09-22 from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 7ee70057248435745d41b70f6bd3e3abd0dac131

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 64 (64 on master)
Windows: 0 (0 on master)
MacOS : 1148

Regressions/Differences/Improvements:
http://occt-tests/CR23178_12-master-Products/Debian70-64/summary.html [^]
http://occt-tests/CR23178_12-master-Products/Windows-64-VC10/summary.html [^]
Failed:
  parasolid doc_1 A1
  parasolid doc_3 A8, A9, B3, C3, D5, E3, E6, E7

Testing cases:
http://occt-tests/CR23178_12-master-OCCT/Debian70-64/bugs/modalg_6/bug23178.html [^]
http://occt-tests/CR23178_12-master-OCCT/Windows-64-VC10/bugs/modalg_6/bug23178.html [^]
bugs modalg_6 bug23178: OK

Testing on Linux:
occt component :
Total MEMORY difference: 90781554 / 90242121 [+0.60%]
Total CPU difference: 19398.989999999812 / 19252.309999999874 [+0.76%]
products component :
Total MEMORY difference: 29876071 / 29944592 [-0.23%]
Total CPU difference: 5130.299999999982 / 5119.769999999977 [+0.21%]

Testing on Windows:
occt component :
http://occt-tests/CR23178_12-master-OCCT/Windows-64-VC10-cpu/diff-Windows-64-VC10-cpu.html [^]
CPU blend simple Q6: 0.6396041 / 0.0936006 [+583.33%]

Total MEMORY difference: 57219655 / 57221799 [-0.00%]
Total CPU difference: 17970.082792098645 / 18310.88257669872 [-1.86%]
products component :
Total MEMORY difference: 21274447 / 21235672 [+0.18%]
Total CPU difference: 4949.677728499956 / 4988.631178199945 [-0.78%]

There are following differences in images found by testdiff.
http://occt-tests/CR23178_12-master-OCCT/Windows-64-VC10/diff-Windows-64-VC10-image.html [^]
http://occt-tests/CR23178_12-master-OCCT/Debian70-64/diff-Debian70-64.html [^]
IMAGE boolean bopfuse_simple ZF1: ZF1.png differs
IMAGE boolean bopfuse_simple ZE7: ZE7.png differs
IMAGE boolean bopfuse_simple ZE8: ZE8.png differs
IMAGE boolean bopcut_simple ZF1: ZF1.png differs
IMAGE boolean bopcut_simple ZE7: ZE7.png differs
IMAGE boolean bopcut_simple ZE8: ZE8.png differs
IMAGE bugs modalg_5 bug25292_11: bug25292_11.png differs
IMAGE bugs modalg_5 bug25292_12: bug25292_12.png differs
IMAGE bugs modalg_6 bug27766: bug27766.png differs
IMAGE bugs modalg_6 bug27310_2: bug27310_2.png differs

http://occt-tests/CR23178_12-master-Products/Debian70-64/diff-Debian70-64.html [^]
http://occt-tests/CR23178_12-master-Products/Windows-64-VC10/diff-Windows-64-VC10-image.html [^]
IMAGE parasolid read bug24401_3: bug24401_3.png differs
(0058074)
mkv (tester)
2016-09-23 14:59

Dear nbv,
Branch CR23178_12 has been rejected due to:
- regressions/differences/improvements
- CPU problems
- differences in images
(0058088)
nbv (developer)
2016-09-23 16:02

Dear MSV,

1. Please confirm the message ~0058087.
2. Please review the current state of CR23178_prod branch (for OCCT-products).
(0058093)
kgv (developer)
2016-09-23 16:35

Please rebase patch onto the current master
(master does not match IR-2016-09-22 - so more notifications have been send about this patch than should be).

+//! This class describes a range in 1D space restricted
+//! by two real values.
+//! A range can be void indicating there is no point included in the range.
+
+class Bnd_Range

Please drop redundant empty line.

+  Standard_Real Delta(void) const
+  void SetVoid(void)

Please drop the "(void)".

+  //! Range boundaries
+  Standard_Real myFirst;
+  Standard_Real myLast;

The comment is not properly attached from Doxygen point of view.

+  Standard_Boolean Get(Standard_Real& theParMin, Standard_Real& theParMax) const

It is still better providing dedicated getters (at least in addition to this method).

+#ifdef OCCT_DEBUG
+    cout << "WARNING : GeomPlate : The number of constraints is null." << endl;

+#endif

Please use std::cout / std::endl in new places.
"using namespace std" should be removed some day...
(0058094)
msv (developer)
2016-09-23 16:58

I agree with the message ~0058087.
(0058097)
git (administrator)
2016-09-23 17:28

Branch CR23178_13 has been created by nbv.

SHA-1: e9f512b52f72fcef2d5dea74c8f96763674d2143


Detailed log of new commits:

Author: nbv
Date: Fri Sep 23 17:24:52 2016 +0300

    0023178: Intersection of cylinders fails to produce results
    
    1. Unification of trimmed and not-trimmed cylinders processing (IntPatch_Intersection::GeomGeomPerfomTrimSurf() method has been removed).
    2. Interface of IntPatch_ImpImpIntersection::Perform(...) method has been changed.
    3. Now, WLine purging is forbidden for Geom-Geom-Intersection.
    4. Bnd_Range class has been created. See Bnd_Range.hxx for detail information.
    5. Algorithm of AddBoundaryPoint function has been improved in order to obtain intersection points in both boundaries (VFirst and VLast of every surface).
    6. Earlier, method Geom2dConvert::ConcatG1(...) increased resulted B-spline degree (in case of not succession of previous iteration). Now increased value has been limited by Geom2d_BSplineCurve::MaxDegree() value (max degree = 25).
    7. Algorithm of B-spline closure definition has been changed in the methods Geom2dConvert::C0BSplineToC1BSplineCurve(...) and Geom2dConvert::C0BSplineToArrayOfC1BSplineCurve(...).
    
    Creation of test case for this issue.
    Adjusting test cases according to their new behavior.
    
    Small correction in the code according to KGV's remark.
(0058099)
nbv (developer)
2016-09-23 17:33

Ready.

Dear Mikhail (MSV),

Please review CR23178_13 branch and current version of CR23178_prod.
(0058100)
msv (developer)
2016-09-23 17:33

Reviewed.
(0058169)
mkv (tester)
2016-09-26 17:11

Dear BugMaster,
Branch CR23178_13 from occt git-repository (and CR23178_prod from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: e9f512b52f72fcef2d5dea74c8f96763674d2143
SHA-1: a2ca70836495cbd407a3cdd06e820ff4c9df69f6

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 64 (64 on master)
Windows: 0 (0 on master)
MacOS : 1161

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
http://occt-tests/CR23178_13-CR23178_prod-OCCT/Debian70-64/bugs/modalg_6/bug23178.html [^]
http://occt-tests/CR23178_13-CR23178_prod-OCCT/Windows-64-VC10/bugs/modalg_6/bug23178.html [^]
bugs modalg_6 bug23178: OK

Testing on Linux:
occt component :
Total MEMORY difference: 91013730 / 90241443 [+0.86%]
Total CPU difference: 19298.23999999991 / 19251.849999999875 [+0.24%]
products component :
Total MEMORY difference: 29918712 / 29971522 [-0.18%]
Total CPU difference: 5119.459999999978 / 5131.389999999977 [-0.23%]

Testing on Windows:
occt component :
Total MEMORY difference: 57229062 / 57221541 [+0.01%]
Total CPU difference: 17965.355961798647 / 18310.78897609872 [-1.89%]
products component :
Total MEMORY difference: 21277332 / 21235672 [+0.20%]
Total CPU difference: 4944.8416974999545 / 4988.631178199945 [-0.88%]

There are following differences in images found by testdiff.
http://occt-tests/CR23178_13-CR23178_prod-OCCT/Debian70-64/diff-Debian70-64.html [^]
http://occt-tests/CR23178_13-CR23178_prod-OCCT/Windows-64-VC10/diff-Windows-64-VC10-image.html [^]
IMAGE boolean bopfuse_simple ZF1: ZF1.png differs
IMAGE boolean bopfuse_simple ZE7: ZE7.png differs
IMAGE boolean bopfuse_simple ZE8: ZE8.png differs
IMAGE boolean bopcut_simple ZF1: ZF1.png differs
IMAGE boolean bopcut_simple ZE7: ZE7.png differs
IMAGE boolean bopcut_simple ZE8: ZE8.png differs
IMAGE bugs modalg_5 bug25292_11: bug25292_11.png differs
IMAGE bugs modalg_5 bug25292_12: bug25292_12.png differs
IMAGE bugs modalg_6 bug27766: bug27766.png differs
IMAGE bugs modalg_6 bug27310_2: bug27310_2.png differs
(0058170)
mkv (tester)
2016-09-26 17:12

Dear nbv,
Branch CR23178_13 has been rejected due to:
- differences in images


–°ould you please validate these differences.
(0058171)
nbv (developer)
2016-09-26 17:15

IMAGE boolean bopfuse_simple ZF1: ZF1.png differs
IMAGE boolean bopfuse_simple ZE7: ZE7.png differs
IMAGE boolean bopfuse_simple ZE8: ZE8.png differs
IMAGE boolean bopcut_simple ZF1: ZF1.png differs
IMAGE boolean bopcut_simple ZE7: ZE7.png differs
IMAGE boolean bopcut_simple ZE8: ZE8.png differs
IMAGE bugs modalg_5 bug25292_11: bug25292_11.png differs
IMAGE bugs modalg_5 bug25292_12: bug25292_12.png differs
IMAGE bugs modalg_6 bug27766: bug27766.png differs
IMAGE bugs modalg_6 bug27310_2: bug27310_2.png differs


We can apply these differences (see message ~0058087)
(0058172)
mkv (tester)
2016-09-26 17:17

Dear BugMaster,
Branches CR23178_13 and CR23178_prod are TESTED.
(0059485)
git (administrator)
2016-10-28 21:44

Branch CR23178_11 has been deleted by kgv.

SHA-1: 2c71a608ef8a4332b8506d740a9f741ee99109ce
(0059486)
git (administrator)
2016-10-28 21:44

Branch CR23178_12 has been deleted by kgv.

SHA-1: 7ee70057248435745d41b70f6bd3e3abd0dac131
(0059487)
git (administrator)
2016-10-28 21:44

Branch CR23178_13 has been deleted by kgv.

SHA-1: e9f512b52f72fcef2d5dea74c8f96763674d2143
(0059538)
git (administrator)
2016-10-28 21:48

Branch CR23178_10 has been deleted by kgv.

SHA-1: b5f6602e721335a36e1795d545dbfd5e9d1be89b
(0059585)
git (administrator)
2016-10-28 21:51

Branch CR23178 has been deleted by kgv.

SHA-1: 4fbb6014df4d05dea26340300f3a7ed46ae04e0f
(0059586)
git (administrator)
2016-10-28 21:51

Branch CR23178_1 has been deleted by kgv.

SHA-1: 8134ec1c0aef80763145ec8d9a0576936a44ee5d
(0059587)
git (administrator)
2016-10-28 21:51

Branch CR23178_2 has been deleted by kgv.

SHA-1: 07d7541ced03a82d5bd02d05dc7b7119e300ba50
(0059588)
git (administrator)
2016-10-28 21:51

Branch CR23178_3 has been deleted by kgv.

SHA-1: 8851ecdc107dddde2fdba37f8dd0f2c737a327ed
(0059589)
git (administrator)
2016-10-28 21:51

Branch CR23178_4 has been deleted by kgv.

SHA-1: 0f393878bfb660abb0245243acd2a4a75b669a8b
(0059590)
git (administrator)
2016-10-28 21:51

Branch CR23178_5 has been deleted by kgv.

SHA-1: 26c565d369a4b764f8aee20d11c51b5fa8d0a961
(0059591)
git (administrator)
2016-10-28 21:51

Branch CR23178_6 has been deleted by kgv.

SHA-1: b7bae4cdee6d7af42a91508827d5f1af3d6b9e84
(0059592)
git (administrator)
2016-10-28 21:51

Branch CR23178_7 has been deleted by kgv.

SHA-1: 5c978d9ca513c5471a600cb2708390b5a0e1f8cc
(0059593)
git (administrator)
2016-10-28 21:51

Branch CR23178_8 has been deleted by kgv.

SHA-1: 2e4d963fc61bbc8f85b9f88617f14ca9532a2d77
(0059594)
git (administrator)
2016-10-28 21:51

Branch CR23178_9 has been deleted by kgv.

SHA-1: c2688a8d4adca9a2c2454f5f55f1859200b26159

- Related Changesets
occt: master d30895f5
Timestamp: 2016-09-23 14:24:52
Author: nbv
Committer: apn
Details ] Diff ]
0023178: Intersection of cylinders fails to produce results

1. Unification of trimmed and not-trimmed cylinders processing (IntPatch_Intersection::GeomGeomPerfomTrimSurf() method has been removed).
2. Interface of IntPatch_ImpImpIntersection::Perform(...) method has been changed.
3. Now, WLine purging is forbidden for Geom-Geom-Intersection.
4. Bnd_Range class has been created. See Bnd_Range.hxx for detail information.
5. Algorithm of AddBoundaryPoint function has been improved in order to obtain intersection points in both boundaries (VFirst and VLast of every surface).
6. Earlier, method Geom2dConvert::ConcatG1(...) increased resulted B-spline degree (in case of not succession of previous iteration). Now increased value has been limited by Geom2d_BSplineCurve::MaxDegree() value (max degree = 25).
7. Algorithm of B-spline closure definition has been changed in the methods Geom2dConvert::C0BSplineToC1BSplineCurve(...) and Geom2dConvert::C0BSplineToArrayOfC1BSplineCurve(...).

Creation of test case for this issue.
Adjusting test cases according to their new behavior.

Small correction in the code according to KGV's remark.
add - src/Bnd/Bnd_Range.cxx Diff ] File ]
add - src/Bnd/Bnd_Range.hxx Diff ] File ]
mod - src/Bnd/FILES Diff ] File ]
mod - src/BSplCLib/BSplCLib_2.cxx Diff ] File ]
mod - src/Geom2dConvert/Geom2dConvert.cxx Diff ] File ]
mod - src/IntPatch/IntPatch_ImpImpIntersection.hxx Diff ] File ]
mod - src/IntPatch/IntPatch_ImpImpIntersection_1.gxx Diff ] File ]
mod - src/IntPatch/IntPatch_ImpImpIntersection_2.gxx Diff ] File ]
mod - src/IntPatch/IntPatch_ImpImpIntersection_4.gxx Diff ] File ]
mod - src/IntPatch/IntPatch_Intersection.cxx Diff ] File ]
mod - src/IntPatch/IntPatch_Intersection.hxx Diff ] File ]
mod - src/IntPatch/IntPatch_WLineTool.cxx Diff ] File ]
mod - src/IntPatch/IntPatch_WLineTool.hxx Diff ] File ]
mod - tests/blend/simple/Q6 Diff ] File ]
mod - tests/bugs/modalg_5/bug25742_2 Diff ] File ]
add - tests/bugs/modalg_6/bug23178 Diff ] File ]
mod - tests/bugs/modalg_6/bug27310_2 Diff ] File ]
mod - tests/bugs/modalg_6/bug27766 Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-05-27 17:07 Roman Lygin New Issue
2012-05-27 17:07 Roman Lygin Assigned To => jgv
2012-05-27 17:07 Roman Lygin File Added: archive.zip
2012-05-31 08:16 abv Status new => assigned
2015-04-10 16:26 nbv Assigned To jgv => nbv
2015-07-29 11:34 git Note Added: 0043666
2015-11-18 11:19 nbv Note Added: 0048333
2015-11-18 11:20 nbv Relationship added related to 0026884
2015-11-18 11:20 nbv Relationship deleted related to 0026884
2015-11-18 11:21 nbv Relationship added related to 0026894
2016-04-14 14:05 git Note Added: 0052713
2016-04-18 16:03 git Note Added: 0053270
2016-04-18 16:10 nbv Note Added: 0053271
2016-04-18 16:10 nbv Assigned To nbv => msv
2016-04-18 16:10 nbv Status assigned => resolved
2016-04-18 16:10 nbv Steps to Reproduce Updated View Revisions
2016-04-19 11:44 git Note Added: 0053284
2016-04-26 09:49 git Note Added: 0053569
2016-04-26 09:50 nbv Note Added: 0053570
2016-04-28 18:06 msv Note Added: 0053701
2016-04-29 11:52 msv Note Added: 0053724
2016-04-29 11:52 msv Assigned To msv => nbv
2016-04-29 11:52 msv Status resolved => assigned
2016-06-08 13:10 git Note Added: 0054786
2016-06-08 13:15 nbv Note Added: 0054787
2016-06-08 13:15 nbv Assigned To nbv => msv
2016-06-08 13:15 nbv Status assigned => resolved
2016-06-08 16:30 msv Note Added: 0054812
2016-06-08 16:30 msv Assigned To msv => nbv
2016-06-08 16:30 msv Status resolved => assigned
2016-06-08 18:00 git Note Added: 0054821
2016-06-08 18:01 nbv Note Added: 0054822
2016-06-08 18:01 nbv Assigned To nbv => msv
2016-06-08 18:01 nbv Status assigned => resolved
2016-06-08 19:23 msv Note Added: 0054826
2016-06-08 19:23 msv Assigned To msv => nbv
2016-06-08 19:23 msv Status resolved => assigned
2016-06-09 09:56 git Note Added: 0054829
2016-06-09 09:57 nbv Note Added: 0054830
2016-06-09 09:57 nbv Assigned To nbv => msv
2016-06-09 09:57 nbv Status assigned => resolved
2016-06-09 10:55 git Note Added: 0054833
2016-06-09 11:00 git Note Added: 0054834
2016-06-09 11:03 msv Note Added: 0054836
2016-06-09 11:03 msv Assigned To msv => bugmaster
2016-06-09 11:03 msv Status resolved => reviewed
2016-06-09 15:36 git Note Added: 0054846
2016-06-09 16:43 mkv Assigned To bugmaster => mkv
2016-06-10 14:41 mkv Note Added: 0054902
2016-06-10 14:42 mkv Note Added: 0054903
2016-06-10 14:42 mkv Note Added: 0054904
2016-06-10 14:42 mkv Assigned To mkv => nbv
2016-06-10 14:42 mkv Status reviewed => assigned
2016-06-10 14:43 mkv Test case number => bugs modalg_6 bug23178
2016-06-21 17:47 git Note Added: 0055316
2016-06-22 09:17 nbv Note Added: 0055321
2016-06-22 09:17 nbv Assigned To nbv => msv
2016-06-22 09:17 nbv Status assigned => resolved
2016-06-23 16:14 msv Note Added: 0055385
2016-06-23 16:14 msv Assigned To msv => nbv
2016-06-23 16:14 msv Status resolved => assigned
2016-06-24 13:32 nbv Note Added: 0055440
2016-06-24 14:57 nbv Note Edited: 0055440 View Revisions
2016-06-24 15:55 nbv Note Added: 0055448
2016-06-24 16:07 git Note Added: 0055449
2016-06-24 16:10 nbv Note Added: 0055450
2016-06-24 16:10 nbv Assigned To nbv => msv
2016-06-24 16:10 nbv Status assigned => resolved
2016-06-24 16:23 msv Note Added: 0055451
2016-06-24 16:23 msv Assigned To msv => bugmaster
2016-06-24 16:23 msv Status resolved => reviewed
2016-06-24 17:40 mkv Assigned To bugmaster => mkv
2016-06-27 12:55 mkv Note Added: 0055487
2016-06-27 12:56 mkv Note Added: 0055488
2016-06-27 12:56 mkv Assigned To mkv => nbv
2016-06-27 12:56 mkv Status reviewed => assigned
2016-06-27 13:27 git Note Added: 0055491
2016-06-27 13:27 nbv Assigned To nbv => msv
2016-06-27 13:27 nbv Status assigned => resolved
2016-06-27 13:28 nbv Note Added: 0055492
2016-06-27 13:28 nbv Assigned To msv => bugmaster
2016-06-27 13:28 nbv Status resolved => reviewed
2016-06-27 13:32 mkv Assigned To bugmaster => mkv
2016-06-27 15:41 mkv Note Added: 0055496
2016-06-27 15:42 mkv Note Added: 0055497
2016-06-27 15:42 mkv Assigned To mkv => nbv
2016-06-27 15:42 mkv Status reviewed => assigned
2016-06-27 17:04 git Note Added: 0055504
2016-06-27 17:06 nbv Note Added: 0055505
2016-06-27 17:06 nbv Assigned To nbv => msv
2016-06-27 17:06 nbv Status assigned => resolved
2016-06-27 17:11 msv Note Added: 0055506
2016-06-27 17:11 msv Assigned To msv => bugmaster
2016-06-27 17:11 msv Status resolved => reviewed
2016-06-27 18:17 mkv Assigned To bugmaster => mkv
2016-06-27 19:53 mkv Note Added: 0055513
2016-06-27 19:53 mkv Note Added: 0055514
2016-06-27 19:53 mkv Assigned To mkv => nbv
2016-06-27 19:53 mkv Status reviewed => assigned
2016-06-28 12:24 git Note Added: 0055533
2016-06-28 12:25 nbv Assigned To nbv => msv
2016-06-28 12:25 nbv Status assigned => resolved
2016-06-28 12:26 nbv Note Added: 0055534
2016-06-28 12:26 nbv Assigned To msv => bugmaster
2016-06-28 12:26 nbv Status resolved => reviewed
2016-06-28 12:42 mkv Assigned To bugmaster => mkv
2016-06-28 18:17 mkv Note Added: 0055554
2016-06-28 18:17 mkv Note Added: 0055555
2016-06-28 18:17 mkv Assigned To mkv => nbv
2016-06-28 18:17 mkv Status reviewed => assigned
2016-07-04 10:04 git Note Added: 0055656
2016-07-04 10:28 git Note Added: 0055657
2016-07-04 10:30 nbv Note Added: 0055658
2016-07-04 10:30 nbv Assigned To nbv => msv
2016-07-04 10:30 nbv Status assigned => resolved
2016-07-04 11:38 git Note Added: 0055659
2016-07-04 11:39 msv Note Added: 0055660
2016-07-04 11:39 msv Assigned To msv => bugmaster
2016-07-04 11:39 msv Status resolved => reviewed
2016-07-04 12:55 mkv Assigned To bugmaster => mkv
2016-07-04 20:17 mkv Note Added: 0055680
2016-07-04 20:17 mkv Note Added: 0055681
2016-07-04 20:17 mkv Note Added: 0055682
2016-07-04 20:17 mkv Assigned To mkv => nbv
2016-07-04 20:17 mkv Status reviewed => feedback
2016-07-06 10:22 nbv Status feedback => assigned
2016-07-12 17:45 mkv Note Edited: 0055681 View Revisions
2016-07-12 17:46 mkv Note Edited: 0055682 View Revisions
2016-07-18 16:01 git Note Added: 0056005
2016-07-22 13:42 git Note Added: 0056174
2016-07-25 17:46 nbv Note Added: 0056208
2016-07-25 17:46 nbv Assigned To nbv => msv
2016-07-25 17:46 nbv Status assigned => resolved
2016-07-27 15:15 msv Note Added: 0056242
2016-07-27 15:15 msv Assigned To msv => bugmaster
2016-07-27 15:15 msv Status resolved => reviewed
2016-07-27 17:29 apv Assigned To bugmaster => apv
2016-07-28 13:03 apv Note Added: 0056264
2016-07-28 13:03 apv Assigned To apv => nbv
2016-07-28 13:03 apv Status reviewed => assigned
2016-07-28 13:05 apv Note Added: 0056265
2016-08-22 16:38 git Note Added: 0056928
2016-08-22 16:43 nbv Note Added: 0056930
2016-08-22 16:43 nbv Assigned To nbv => msv
2016-08-22 16:43 nbv Status assigned => resolved
2016-08-22 16:45 nbv Assigned To msv => nbv
2016-08-22 16:45 nbv Status resolved => assigned
2016-08-22 16:57 git Note Added: 0056932
2016-08-22 16:59 nbv Note Added: 0056933
2016-08-22 16:59 nbv Assigned To nbv => msv
2016-08-22 16:59 nbv Status assigned => resolved
2016-08-22 17:06 msv Note Added: 0056934
2016-08-22 17:06 msv Assigned To msv => bugmaster
2016-08-22 17:06 msv Status resolved => reviewed
2016-08-22 17:29 mkv Assigned To bugmaster => mkv
2016-08-22 17:35 nbv Note Added: 0056935
2016-08-23 14:05 nbv Relationship added related to 0027431
2016-08-23 15:59 mkv Note Added: 0056975
2016-08-23 15:59 mkv Note Added: 0056977
2016-08-23 16:00 mkv Note Added: 0056978
2016-08-23 16:00 mkv Assigned To mkv => nbv
2016-08-23 16:00 mkv Status reviewed => assigned
2016-08-24 14:54 git Note Added: 0057029
2016-08-24 15:00 nbv Note Added: 0057030
2016-08-24 15:00 nbv Assigned To nbv => msv
2016-08-24 15:00 nbv Status assigned => resolved
2016-08-25 09:36 msv Note Added: 0057054
2016-08-25 09:36 msv Assigned To msv => bugmaster
2016-08-25 09:36 msv Status resolved => reviewed
2016-08-25 09:36 msv Target Version => 7.1.0
2016-08-25 17:27 git Note Added: 0057076
2016-08-25 17:29 mkv Assigned To bugmaster => mkv
2016-08-26 15:18 mkv Note Added: 0057097
2016-08-26 15:18 mkv Note Added: 0057098
2016-08-26 15:19 mkv Note Added: 0057099
2016-08-26 15:19 mkv Assigned To mkv => nbv
2016-08-26 15:19 mkv Status reviewed => feedback
2016-08-26 15:30 git Note Added: 0057101
2016-08-26 15:56 nbv Note Added: 0057108
2016-08-26 15:58 nbv Note Added: 0057109
2016-08-26 15:58 nbv Assigned To nbv => msv
2016-08-26 16:19 git Note Added: 0057113
2016-08-26 16:28 msv Note Added: 0057212
2016-08-26 16:28 msv Status feedback => assigned
2016-08-26 16:44 nbv Assigned To msv => nbv
2016-09-09 10:04 emv Relationship added related to 0027856
2016-09-20 10:19 git Note Added: 0057936
2016-09-20 10:23 nbv Note Added: 0057937
2016-09-20 10:23 nbv Assigned To nbv => msv
2016-09-20 10:23 nbv Status assigned => resolved
2016-09-22 09:37 nbv Assigned To msv => nbv
2016-09-22 09:37 nbv Status resolved => assigned
2016-09-22 15:54 git Note Added: 0058025
2016-09-22 15:55 nbv Note Added: 0058026
2016-09-22 15:55 nbv Assigned To nbv => msv
2016-09-22 15:55 nbv Status assigned => resolved
2016-09-22 17:02 git Note Added: 0058033
2016-09-22 17:03 msv Note Added: 0058034
2016-09-22 17:03 msv Assigned To msv => bugmaster
2016-09-22 17:03 msv Status resolved => reviewed
2016-09-22 17:41 mkv Assigned To bugmaster => mkv
2016-09-22 17:55 git Note Added: 0058039
2016-09-23 14:58 mkv Note Added: 0058072
2016-09-23 14:59 mkv Note Added: 0058073
2016-09-23 14:59 mkv Note Added: 0058074
2016-09-23 14:59 mkv Assigned To mkv => nbv
2016-09-23 14:59 mkv Status reviewed => assigned
2016-09-23 16:02 nbv Note Added: 0058088
2016-09-23 16:02 nbv Assigned To nbv => msv
2016-09-23 16:02 nbv Status assigned => resolved
2016-09-23 16:35 kgv Note Added: 0058093
2016-09-23 16:58 msv Note Added: 0058094
2016-09-23 16:59 msv Assigned To msv => nbv
2016-09-23 16:59 msv Status resolved => assigned
2016-09-23 17:28 git Note Added: 0058097
2016-09-23 17:33 nbv Note Added: 0058099
2016-09-23 17:33 nbv Assigned To nbv => msv
2016-09-23 17:33 nbv Status assigned => resolved
2016-09-23 17:33 msv Note Added: 0058100
2016-09-23 17:33 msv Assigned To msv => bugmaster
2016-09-23 17:33 msv Status resolved => reviewed
2016-09-23 17:38 mkv Assigned To bugmaster => mkv
2016-09-26 17:11 mkv Note Added: 0058169
2016-09-26 17:12 mkv Note Added: 0058170
2016-09-26 17:12 mkv Assigned To mkv => nbv
2016-09-26 17:12 mkv Status reviewed => feedback
2016-09-26 17:15 nbv Note Added: 0058171
2016-09-26 17:15 nbv Assigned To nbv => mkv
2016-09-26 17:17 mkv Note Added: 0058172
2016-09-26 17:17 mkv Assigned To mkv => bugmaster
2016-09-26 17:17 mkv Status feedback => tested
2016-10-07 16:09 apn Changeset attached => occt master d30895f5
2016-10-07 16:09 apn Assigned To bugmaster => apn
2016-10-07 16:09 apn Status tested => verified
2016-10-07 16:09 apn Resolution open => fixed
2016-10-28 21:44 git Note Added: 0059485
2016-10-28 21:44 git Note Added: 0059486
2016-10-28 21:44 git Note Added: 0059487
2016-10-28 21:48 git Note Added: 0059538
2016-10-28 21:51 git Note Added: 0059585
2016-10-28 21:51 git Note Added: 0059586
2016-10-28 21:51 git Note Added: 0059587
2016-10-28 21:51 git Note Added: 0059588
2016-10-28 21:51 git Note Added: 0059589
2016-10-28 21:51 git Note Added: 0059590
2016-10-28 21:51 git Note Added: 0059591
2016-10-28 21:51 git Note Added: 0059592
2016-10-28 21:51 git Note Added: 0059593
2016-10-28 21:51 git Note Added: 0059594
2016-12-09 16:29 user533 Status verified => closed
2016-12-09 16:40 user533 Fixed in Version => 7.1.0
2016-12-24 12:59 Roman Lygin Relationship added related to 0028279
2018-03-15 15:27 kgv Relationship added related to 0029582


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker